Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQXmlDTDHandler Class Reference
[XML module]

The TQXmlDTDHandler class provides an interface to report DTD content of XML data. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqxml.h>`

Inherited by TQXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool notationDecl ( const TQString & name, const TQString & publicId, const TQString & systemId ) = 0
- virtual bool unparsedEntityDecl ( const TQString & name, const TQString & publicId, const TQString & systemId, const TQString & notationName ) = 0
- virtual TQString errorString () = 0

## Detailed Description

The TQXmlDTDHandler class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, it can implement this interface and register an instance with TQXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report, i.e. notation and unparsed entity declarations using notationDecl() and unparsedEntityDecl() respectively.

See also the Introduction to SAX2.

See also TQXmlDeclHandler, TQXmlContentHandler, TQXmlEntityResolver, TQXmlErrorHandler, TQXmlLexicalHandler, and XML.

## Member Function Documentation

### TQString TQXmlDTDHandler::errorString ()`[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE.

### bool TQXmlDTDHandler::notationDecl ( const TQString & name, const TQString & publicId, const TQString & systemId )`[pure virtual]`

The reader calls this function when it has parsed a notation declaration.

The argument name is the notation name, publicId is the notation's public identifier and systemId is the notation's system identifier.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### bool TQXmlDTDHandler::unparsedEntityDecl ( const TQString & name, const TQString & publicId, const TQString & systemId, const TQString & notationName )`[pure virtual]`

The reader calls this function when it finds an unparsed entity declaration.

The argument name is the unparsed entity's name, publicId is the entity's public identifier, systemId is the entity's system identifier and notationName is the name of the associated notation.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.